%ifarch ppc ppc64
%define __arch		ppc
%else
%define __arch		x86_64
%endif
%define __version       02
%define __release	04.03
%define __osxver	10.9

Summary: A persistency framework defining a data model for linear collider experiments
Name: lcio
Version: %{__version}.%{__release}
Release: %{__osxver}%{?dist}3a
Source0: localhost:/%{name}-v%{version}.tar.gz
URL: http://lcio.desy.de/
Group: Development/Libraries
License: Linear Collider Study Group
%define __prefix	/opt/lcio
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: root

%description
LCIO is a persistency framework that defines a data model for linear 
collider detector studies. It is intended to be used in both simulation 
studies and analysis frameworks. 
Its light weight and portability makes it also suitable for use in 
detector R&D applications. It provides a C++ and a Java implementation 
with a common interface (API) - a Fortran interface to the C++ 
implementation also exists.

Almost all groups involved in linear collider detector studies have their 
own simulation software framework. Using a common persistency scheme 
would allow to easily share results and compare pattern recognition algorithms. 
LCIO (Linear Collider I/O) is such a persistency framework. LCIO is used 
by one US group and will be the standard format for the european simulation 
applications, where others might join in the near future.

The framework fulfills the requirements of the different groups today and 
is flexible enough to be adapted to future needs.

%prep
%setup -q -n %{name}-v%{version}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/`echo v%{version} | sed -e 's;\.;-;g'`

%build
source `rpm -ql root | grep thisroot.sh`
mkdir build
cd build
cmake -DBUILD_ROOTDICT=ON ..
make install
cd ..
rm -rf build


%install
cd %{_builddir}/%{name}-v%{version}
mv * $RPM_BUILD_ROOT%{prefix}/`echo v%{version} | sed -e 's;\.;-;g'`

echo "%exclude %{prefix}*/.svn/*" > list.f
echo "%exclude %{prefix}*/.svn" >> list.f
find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{prefix}$' \
			     | grep -ve '^%dir /[^/]*$'  \
			     | grep -ve '^%dir $' >> list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{_builddir}/%{name}-v%{version}/list.f
%defattr(-,root,wheel)

%changelog
* Thu Dec 26 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 02-04-03-10.9hepx3a
- 1st build and release on MacOS X 10.9 for Intel Macs with clhep-2.4.3

* Fri Dec 20 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 02-04-02-10.9hepx3b
- 4th build and release on MacOS X 10.9 for Intel Macs with clhep-2.4.2
- now linked against root-5.34.14.

* Sun Dec 01 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 02-04-02-10.9hepx3a
- 3rd build and release on MacOS X 10.9 for Intel Macs with clhep-2.4.2
- changed installation name to /opt/lcio/v02-04-02

* Sat Nov 30 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 02-04-02-10.9hepx2a
- 2nd build and release on MacOS X 10.9 for Intel Macs with clhep-2.4.2
- now build automatically

* Sat Nov 30 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 02-04-02-10.9hepx1a
- 1st build on MacOS X 10.9 for Intel Macs with clhep-2.4.2

* Wed Oct 31 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 02-03-01-10.7hepx1a
- 1st build on MacOS X 10.7 for Intel Macs with clhep-2.3.1

* Thu May 03 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 02-01.01-10.7hepx1a
- 1st build on MacOS X 10.7 for Intel Macs with clhep-2.1.2.2
- now built for x86_64

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 02-00-10.7hepx1a
- 1st build on MacOS X 10.7 for Intel Macs with clhep-2.1.2.2
- now built for x86_64

* Wed Oct 12 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 02-00-10.6hepx1f
- 1st build on MacOS X 10.7 for Intel Macs with clhep-2.1.1.0
- rebuilt with gcc4.5.1 and libstdc++.dylib and root_v5.30.02-1c

* Tue Oct 11 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 02-00-10.6hepx1e
- 2nd build on MacOS X 10.6 for Intel Macs with clhep-2.1.1.0
- rebuilt with gcc4.5.1 and libstdc++.dylib and root_v5.30.02-1b

* Sun Sep 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 02-00-10.6hepx1d
- 1st build on MacOS X 10.6 for Intel Macs with clhep-2.1.1.0
- built with gcc4.5.1 and libstdc++.dylib

* Wed Jan 26 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1d
- 4th build on MacOS X 10.6 for Intel Macs with clhep-2.1.0.1
- rebuilt with gcc4.5.1 and libstdc++.dylib

* Sun Nov 14 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1c
- 3rd build on MacOS X 10.6 for Intel Macs with clhep-2.0.4.6
- rebuilt with gcc4.5.1

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1b
- 2nd build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.6
- rebuilt with gcc4.5.1

* Mon Sep 13 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-51-10.6hepx1a
- 1st build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.6

* Tue Mar 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-12.2-10.6hepx1b
- 2nd build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.5
- added symlinks for top-level include and libsio

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 01-12.2-10.6hepx1a
- 1st build on MacOS X 10.6 for PPC Macs with clhep-2.0.4.5

* Thu Jan 15 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 01-11-10.5hepx1a
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.4.2

* Tue Sep 23 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-10-10.5hepx1b
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.4.0

* Fri Jul 4 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-10-10.5hepx1a
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.3.3

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-09-10.5hepx1b
- 1st build on MacOS X 10.5 for PPC Macs with clhep-2.0.3.2

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 01-09-10.5hepx1a
- 1st build on MacOS X 10.5 for Intel Macs with clhep-2.0.3.2

